Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.getcapabilities
Class DCPType

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.DCPType

All Implemented Interfaces:
  Serializable

    public class DCPType

extends Object
implements Serializable

Available Distributed Computing Platforms (DCPs) are listed here. At present, only HTTP is defined.

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp , Markus Schneider
See Also:
  Serialized Form

Constructor Summary
`DCPType()` default constructor
`DCPType(Protocol protocol)` constructor initializing the class with the protocol

Method Summary
`Protocol` | `getProtocol()` returns the protocol of the available Distributed Computing Platforms (DCPs)
`void` | `setProtocol(Protocol protocol)` sets the protocol of the available Distributed Computing Platforms (DCPs)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DCPType

    public DCPType()

  default constructor

### DCPType

    public DCPType(Protocol protocol)

  constructor initializing the class with the protocol

  Parameters:
    `protocol` - the used protocol

Method Detail

### getProtocol

    public Protocol getProtocol()

  returns the protocol of the available Distributed Computing Platforms (DCPs)

  Returns:
    the protocol of the available Distributed Computing Platforms (DCPs)

### setProtocol

    public void setProtocol(Protocol protocol)

  sets the protocol of the available Distributed Computing Platforms (DCPs)

  Parameters:
    `protocol` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org